Skip to main content
GET
/
ach
List sent ACH transactions
curl --request GET \
  --url https://api-sandbox.synctera.com/v0/ach \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api-sandbox.synctera.com/v0/ach"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api-sandbox.synctera.com/v0/ach', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "transactions": [
    {
      "account_no": "122455799",
      "amount": 1560,
      "bank_id": 1,
      "effective_date": "2022-03-25",
      "external_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
      "id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
      "is_same_day": true,
      "memo": "<string>",
      "partner_id": 2,
      "source_account_no": "123638791329",
      "trace_no": "123456780000069",
      "account_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
      "account_name": "Bruce Wayne",
      "company_entry_description": "PAYROLL",
      "company_name": "Asdf Finance",
      "hold": {
        "amount": 123,
        "availability_time": "2010-05-06T12:23:34.321Z"
      },
      "incoming_ach_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
      "reference_info": "<string>",
      "return_data": {
        "code": "R01",
        "original_dfi_no": "364275034",
        "original_trace": "123456780000069",
        "dishonored_return_code": "69",
        "dishonored_return_settlement_date": "256",
        "dishonored_return_trace": "123456780000069",
        "field_errors": "05",
        "return_code": "13",
        "return_settlement_date": "256",
        "return_trace": "123456780000069"
      },
      "source_account_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
      "source_account_name": "Thomas Anderson"
    }
  ],
  "next_page_token": "a8937a0d"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

incoming_ach_id
string<uuid>

ID of the linked incoming ACH entry. This is filled only for outgoing ACH entries that are returns and links to the originally received incoming entry.

Example:

"b01db9c7-78f2-4a99-8aca-1231d32f9b96"

trace_nos
string[]

Comma-separated list of trace numbers to filter by. Maximum 100 values.

Maximum array length: 100
end_effective_date
string<date>

End of the effective date range query

Example:

"2022-03-25"

start_effective_date
string<date>

Start of the effective date range query

Example:

"2022-03-15"

page_token
string

Optional pagination token to be provided to retrieve subsequent pages, returned from previous get

Example:

"a8937a0d"

limit
integer
default:100

Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.

Required range: x >= 1
Example:

100

effective_date
string<date>

Effective date of the transaction

Example:

"2022-03-15"

Response

List of sent ACH transactions.

transactions
object[]
required

Array of sent ACH transactions.

next_page_token
string

If returned, use the next_page_token to query for the next page of results. Not returned if there are no more rows.

Example:

"a8937a0d"